Bug 1677382 - dhcp does not compile with rebased bind 9.11
Summary: dhcp does not compile with rebased bind 9.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dhcp
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Pavel Zhukov
QA Contact: Martin Osvald 🛹
URL:
Whiteboard:
: 1684994 (view as bug list)
Depends On:
Blocks: 1670353 bind911_rebase_el7
TreeView+ depends on / blocked
 
Reported: 2019-02-14 16:59 UTC by Petr Menšík
Modified: 2019-08-06 12:40 UTC (History)
3 users (show)

Fixed In Version: dhcp-4.2.5-75.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2060 None None None 2019-08-06 12:40:26 UTC

Description Petr Menšík 2019-02-14 16:59:16 UTC
Description of problem:
Bind is rebased in bug #1640561. DHCP requires modification to build and link against it.

Version-Release number of selected component (if applicable):
dhcp-4.2.5-73.el7

How reproducible:
100%

Steps to Reproduce:
1. install bind-9.11
2. rhpkg clone --anonymous dhcp && cd dhcp
3. rhpkg local

Actual results:
does not build

Expected results:
build and passes tests

Additional info:
Have prepared packages at internal copr [1], because new bind cannot be installed without new dhclient on the same time.
Prepared also branch [2] that compiles against 9.11, taken changes from RHEL8.

1. https://copr.devel.redhat.com/coprs/pemensik/bind/
2. http://pkgs.devel.redhat.com/cgit/rpms/dhcp/log/?h=private-pemensik-staging-rhel7-bind-rebase

Comment 4 Pavel Zhukov 2019-03-04 07:42:52 UTC
*** Bug 1684994 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2019-08-06 12:40:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2060


Note You need to log in before you can comment on or make changes to this bug.